Name:           i3status
Version:        2.14
Release:        1%{?dist}
Summary:        Status bar generator for i3bar, dzen2, xmobar or similar programs
License:        BSD-3-Clause
URL:            https://i3wm.org/i3status/
Source0:        %{url}/%{name}-%{version}.tar.xz
Source1:        %{url}/%{name}-%{version}.tar.xz.asc
Source2:        https://keys.openpgp.org/vks/v1/by-fingerprint/424E14D703E7C6D43D9D6F364E7160ED4AC8EE1D#./gpgkey-424E14D703E7C6D43D9D6F364E7160ED4AC8EE1D.gpg
Source3:        tencentos-i3-status-config

BuildRequires:  gcc
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libconfuse)
BuildRequires:  pkgconfig(libnl-genl-3.0)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(yajl)
BuildRequires:  asciidoc
BuildRequires:  xmlto
BuildRequires:  gnupg2
BuildRequires:  perl
BuildRequires:  make
BuildRequires:  meson

Recommends:     i3status-config
Requires:       (i3status-config or i3status-config-tencentos)

%description
i3status is a program for generating a status bar for i3bar, dzen2,
xmobar or similar programs. It issues a small number of system
calls, as one generally wants to update such status lines every
second so that the bar is updated even under load. It saves a bit of
energy by being more efficient than shell commands.

%package        config
Summary:        Upstream configuration for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Conflicts:      %{name}-config-tencentos

%description    config
This is the upstream/vanilla configuration file of %{name}.

%package        config-tencentos
RemovePathPostfixes: .tencentos
Summary:        Configuration of %{name} for the TencentOS i3 Spin
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Conflicts:      %{name}-config

%description    config-tencentos
This is the configuration file of %{name} used for the TencentOS i3 Spin.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup

%build
%meson
%meson_build

%install
%meson_install
install -Dpm0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}.conf.tencentos


%check

%files
%doc CHANGELOG
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man*/%{name}.1*

%files config
%config(noreplace) %{_sysconfdir}/%{name}.conf

%files config-tencentos
%config(noreplace) %{_sysconfdir}/%{name}.conf.tencentos

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-1
- initial build
